// serialport.h
//    2007.6 Y.Senta

#ifndef _SERIALPORT_H
#define _SERIALPORT_H

struct termios;

class serialport{
  int m_nFD;
  termios *m_pBackupTM;
 public:
  serialport();
  ~serialport();
  
  bool OpenSerialPort(const char *, const char *);
  void CloseSerialPort();
  
  bool SendChar(char);
  bool SendCmd(char);
  bool RecvChar(char *);
  
  int RecvChar(char *, int);
};

#endif
